# -*- coding: utf-8 -*-
"""
Created on Thu Jun 27 13:51:53 2024

@author: nash29
"""

import numpy as np
from matplotlib import pyplot as plt
import scipy

plt.rcParams["figure.figsize"] = [10, 10]
plt.rcParams["figure.autolayout"] = True

im = plt.imread("PSI-8.png")
im_rotated = scipy.ndimage.rotate(im, 90)
height_pixels = im_rotated.shape[0]
width_pixels = im_rotated.shape[1]

fig, ax = plt.subplots()
ax.imshow(im_rotated, extent=[0, width_pixels, 0, height_pixels])

plt.show()







# outer diameter
x_0_outer = 621
y_0_outer = 252

x_1_outer = x_0_outer
y_1_outer = 772

y_outer_length = y_1_outer - y_0_outer

x_outer = np.linspace(x_0_outer, x_1_outer,100)
y_outer = np.linspace(y_0_outer, y_1_outer,100)

scaling_factor = y_outer_length/2.5            # pixels/cm
print(scaling_factor)

ax.plot(x_outer, y_outer, linewidth=2, color='red')
ax.annotate(scaling_factor, xy=(50,50), color='red')
